- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# HTTP_Client Class Reference

HTTP_Client is intended to provide application API to classes that wish to do network i/o at a very high level of abstraction. More...

`#include <HTTP_Client.h>`

Collaboration diagram for HTTP_Client:

[legend]
List of all members.

## Public Member Functions
| HTTP_Client (void)
| ~HTTP_Client (void)
int | open (const ACE_TCHAR *filename, const ACE_TCHAR *hostname=ACE_DEFAULT_SERVER_HOST, u_short port=80)
int | read (ACE_Message_Block *mb)
int | close ()
| Frees memory allocated for filename.
## Private Attributes
ACE_INET_Addr | inet_addr_
| Store the internet address of the server.
ACE_TCHAR * | filename_
| The filename.
ACE_Connector< HTTP_Handler, ACE_SOCK_CONNECTOR > | connector_
| The connector endpoint to initiate the client connection.

## Detailed Description

HTTP_Client is intended to provide application API to classes that wish to do network i/o at a very high level of abstraction.

This class provides the ability to retrieve data from the network, of specified length and offset, and potentially use any protocol "under the hood" to do so. It currently uses HTTP. See HTTP_Handler also.

## Constructor & Destructor Documentation

HTTP_Client::HTTP_Client | ( | void |  | ) |

HTTP_Client::~HTTP_Client | ( | void |  | ) |

## Member Function Documentation

int HTTP_Client::close | ( |  | ) |

Frees memory allocated for filename.

int HTTP_Client::open | ( | const ACE_TCHAR * | filename,
|  | const ACE_TCHAR * | hostname = `ACE_DEFAULT_SERVER_HOST`,
|  | u_short | port = `80` |
| ) |  |  |

Initializes the class with the given filename, hostname and port. it should be called with the filename, before any read/write calls

int HTTP_Client::read | ( | ACE_Message_Block * | mb | ) |

Starts a connection, and reads a file from the server into Message_Block mb

## Member Data Documentation

ACE_Connector<HTTP_Handler, ACE_SOCK_CONNECTOR> HTTP_Client::connector_`[private]`

The connector endpoint to initiate the client connection.

ACE_TCHAR* HTTP_Client::filename_`[private]`

The filename.

ACE_INET_Addr HTTP_Client::inet_addr_`[private]`

Store the internet address of the server.

The documentation for this class was generated from the following files:

- HTTP_Client.h
- HTTP_Client.cpp